WORK_ON_CPU(9)

NAME
work_on_cpu - run a function in user context on a particular cpu

SYNOPSIS

long work_on_cpu(int cpu, long (*fn) (void *), void * arg);

ARGUMENTS

cpu
    the cpu to run on

fn
    the function to run

arg
    the function arg

DESCRIPTION

It is up to the caller to ensure that the cpu doesn't go offline. The caller must not hold any locks which would prevent fn from completing.

RETURN

The value fn returns.

COPYRIGHT